%define upstream_name Plack-Test-Agent
%define upstream_version 1.4

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 3

Summary:	OO interface for testing low-level Plack/PSGI apps
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Plack/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(HTTP::Server::Simple::PSGI)
BuildRequires:	perl(Modern::Perl)
BuildRequires:	perl(Plack::Loader)
BuildRequires:	perl(Test::Requires)
BuildRequires:	perl(Test::TCP)
BuildRequires:	perl(Test::WWW::Mechanize)

BuildArch:	noarch

%description
Plack::Test::Agent is an OO interface to test PSGI applications. It can
perform GET and POST requests against PSGI applications either in process or
over HTTP through a [Plack::Handler](https://metacpan.org/pod/Plack::Handler)
compatible backend.

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README.md
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.400.0-3.mga6
+ Revision: 1032209
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.400.0-2.mga6
+ Revision: 969196
- Mageia 6 Mass Rebuild

* Thu Aug 13 2015 sander85 <sander85> 1.400.0-1.mga6
+ Revision: 864494
- imported package perl-Plack-Test-Agent

